## wasistlos 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(
        wasistlos
        VERSION 1.7.0
        DESCRIPTION "An unofficial WhatsApp desktop application for Linux"
        HOMEPAGE_URL "https://github.com/xeco23/WasIstLos"
        LANGUAGES C CXX
    )

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(WIL_NAME ${CMAKE_PROJECT_NAME})
set(WIL_FRIENDLY_NAME "WasIstLos")
set(WIL_DESCRIPTION ${CMAKE_PROJECT_DESCRIPTION})
set(WIL_HOMEPAGE ${CMAKE_PROJECT_HOMEPAGE_URL})
set(WIL_VERSION ${CMAKE_PROJECT_VERSION})
string(TIMESTAMP WIL_BUILD_DATE "%Y-%m-%d")
set(WIL_APP_ID "com.github.xeco23.WasIstLos")
set(WIL_ICON ${WIL_APP_ID})
set(GETTEXT_PACKAGE ${WIL_NAME})
set(WIL_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")

message(STATUS "${CMAKE_PROJECT_NAME} version: ${WIL_VERSION}")

add_subdirectory(src)
add_subdirectory(resource)
add_subdirectory(po)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES *.po)

add_custom_command(
        OUTPUT ${CMAKE_PROJECT_NAME}.pot
        COMMAND intltool-update --pot --gettext-package=${CMAKE_PROJECT_NAME}
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMENT "Updating template translation"
    )

add_custom_target(update-template-translation DEPENDS ${CMAKE_PROJECT_NAME}.pot)

foreach (LANG ${PO_FILES})
    get_filename_component(LANG ${LANG} NAME)
    string(REGEX REPLACE "\\.po$" "" LANG ${LANG})
    set(MSGFMT_INPUT_FILE ${LANG}.po)
    set(MSGFMT_OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/${GETTEXT_PACKAGE}-${LANG}.mo)

    add_custom_command(
            OUTPUT ${MSGFMT_OUTPUT_FILE}
            COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --output-file=${MSGFMT_OUTPUT_FILE} ${MSGFMT_INPUT_FILE}
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            DEPENDS ${MSGFMT_INPUT_FILE}
            COMMENT "Compiling ${LANG} translation"
        )

    list(APPEND ${CMAKE_PROJECT_NAME}_MO_FILES ${MSGFMT_OUTPUT_FILE})

    install(FILES ${MSGFMT_OUTPUT_FILE} DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES/ RENAME ${GETTEXT_PACKAGE}.mo)
endforeach()

if (${CMAKE_PROJECT_NAME}_MO_FILES)
    add_custom_target(compile-translations DEPENDS ${${CMAKE_PROJECT_NAME}_MO_FILES})
    add_dependencies(${CMAKE_PROJECT_NAME} compile-translations)
endif()

=== resource/CMakeLists.txt ===
message(STATUS "Compiling UI resources")
execute_process(
        COMMAND glib-compile-resources --target=${CMAKE_BINARY_DIR}/src/Resources.c --generate-source gresource.xml
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

message(STATUS "Configuring desktop resource files")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/desktop/${WIL_APP_ID}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/${WIL_APP_ID}.desktop)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/desktop/${WIL_APP_ID}.appdata.xml.in ${CMAKE_CURRENT_BINARY_DIR}/${WIL_APP_ID}.appdata.xml)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WIL_APP_ID}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${WIL_APP_ID}.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/image/icons DESTINATION ${CMAKE_INSTALL_DATADIR})

=== src/CMakeLists.txt ===
message(STATUS "Configuring some source code files")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/VERSION" ${WIL_VERSION})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Config.hpp.in ${CMAKE_CURRENT_BINARY_DIR}/Config.hpp)

find_package(PkgConfig REQUIRED)

find_package(Intl REQUIRED)
find_package(Gettext REQUIRED)
include_directories(${Intl_INCLUDE_DIRS})
link_directories(${INTL_LIBRARY_DIRS})

pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
include_directories(${GTKMM_INCLUDE_DIRS})

pkg_check_modules(WEBKIT webkit2gtk-4.1)
if (NOT WEBKIT_FOUND)
    pkg_check_modules(WEBKIT webkit2gtk-4.0 REQUIRED)
endif()
include_directories(${WEBKIT_INCLUDE_DIRS})

pkg_check_modules(APPINDICATOR ayatana-appindicator3-0.1 REQUIRED)
include_directories(${APPINDICATOR_INCLUDE_DIRS})

pkg_check_modules(CANBERRA libcanberra REQUIRED)
include_directories(${CANBERRA_INCLUDE_DIRS})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

list(APPEND
        WIL_SRCS
        main.cpp
        Resources.c
        util/Helper.cpp
        util/Settings.cpp
        util/Sound.cpp
        ui/Application.cpp
        ui/MainWindow.cpp
        ui/PreferencesWindow.cpp
        ui/PhoneNumberDialog.cpp
        ui/TrayIcon.cpp
        ui/WebView.cpp
    )

add_executable(${CMAKE_PROJECT_NAME} ${WIL_SRCS})
target_link_libraries(${CMAKE_PROJECT_NAME}
        ${GTKMM_LIBRARIES}
        ${WEBKIT_LIBRARIES}
        ${APPINDICATOR_LIBRARIES}
        ${CANBERRA_LIBRARIES}
        ${Intl_LIBRARIES}
    )

install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

## wasistlos 0.1~guideos1

=== debian/changelog ===
wasistlos (0.1~guideos1) stable; urgency=medium

  * Fixed: Dependencies to work on GuideOS

 -- Actionschnitzel <actionschnitzel@guideos.de>  Thu, 06 Mar 2025 20:52:27 +0100

=== debian/control ===
Source: wasistlos
Section: web
Priority: optional
Maintainer: Enes Hecan <nshecan@gmail.com>
Build-Depends: cmake,
               debhelper (>=10),
               intltool,
               libayatana-appindicator3-dev,
               libgtkmm-3.0-dev,
               libwebkit2gtk-4.1-dev,
               libcanberra-dev,
               pkgconf,
               libjpeg-dev
Standards-Version: 4.5.1
Homepage: https://github.com/xeco23/WasIstLos
Rules-Requires-Root: no

Package: wasistlos
Architecture: any
Depends: glib-networking,
         gstreamer1.0-libav,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libayatana-appindicator3-1,
         libgtkmm-3.0-1v5,
         libwebkit2gtk-4.1-0,
         libcanberra0,
         libjpeg-dev
Description: An unofficial WhatsApp desktop application for Linux

## wasistlos 1.7.0

=== debian/changelog ===
wasistlos (1.7.0-2) unstable; urgency=medium

  * Add debian/patches/reproducible-build.patch.
    Thanks to Chris Lamb <lamby@debian.org>. (Closes: #1094611)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 01 Feb 2025 16:10:04 +0000

wasistlos (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1085480)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 20 Oct 2024 19:45:44 +0000

=== debian/control ===
Source: wasistlos
Section: web
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libayatana-appindicator3-dev,
               libcanberra-dev,
               libgtkmm-3.0-dev,
               libwebkit2gtk-4.1-dev,
               pkgconf
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/WasIstLos
Vcs-Git: https://salsa.debian.org/debian/WasIstLos.git
Homepage: https://github.com/xeco23/WasIstLos
Rules-Requires-Root: no

Package: wasistlos
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Unofficial WhatsApp desktop application
 WhatsApp Messenger is a cross-platform mobile messaging app
 which allows you to exchange messages, via Internet, without
 having to pay for SMS.
 .
 In addition to basic messaging, WhatsApp users can create
 groups, send each other unlimited images, video and audio
 media messages.
 .
 WasIstLos uses the WhatsApp web interface and requires a
 phone with WhatsApp installed to work properly. Make sure
 the application is configured on your device before using
 this package.
 .
 This is an unofficial WhatsApp desktop application.

=== debian/watch ===
version=4
https://github.com/xeco23/WasIstLos/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
